"""Missing comment 'not null' constraints

Revision ID: 2b4da440d3ad
Revises: 08d1de53c2f4
Create Date: 2020-07-21 10:59:36.356636

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '2b4da440d3ad'
down_revision = '08d1de53c2f4'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    # Remove orphaned comments (fixed mwdb-core issue)
    op.execute("DELETE FROM \"comment\" WHERE object_id IS NULL")
    op.alter_column('comment', 'object_id',
               existing_type=sa.INTEGER(),
               nullable=False)
    op.alter_column('comment', 'user_id',
               existing_type=sa.INTEGER(),
               nullable=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('comment', 'user_id',
               existing_type=sa.INTEGER(),
               nullable=True)
    op.alter_column('comment', 'object_id',
               existing_type=sa.INTEGER(),
               nullable=True)
    # ### end Alembic commands ###
